part of '../../../store_management.dart';

class StoreFilter extends NameFilter<int, StoreModel> {
  const StoreFilter({
    super.ids,
    super.status,
    super.text,
  });

  @override
  Map<String, dynamic> toMap() => {...super.toMap()};

  @override
  StoreFilter copyWith(
          {InWhere<int>? ids, InWhere<bool>? status, LikeWhere? text}) =>
      StoreFilter(
        ids: ids ?? this.ids,
        status: status ?? this.status,
        text: text ?? this.text,
      );
}
